function out = explode(divider,input)
%out = explode(divider,input)
out = {};
len = length(input);
start = 1;
stop = 1;

segment = 1;
while (stop <= len)
    while (stop <= len)&& (~strcmp(input(stop),divider))
        stop = stop+1;
    end
    out{segment} = input(start:stop-1);
    segment = segment+1;
    stop= stop+1;
    start = stop;
end
        
        
        